Loading...
Searching...
No Matches
ISGradient< DiffScheme > Struct Template Reference

Gradient operators defined in index space of various orders. More...

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions

template<typename Accessor>
static Vec3< typename Accessor::ValueType > | result (const Accessor &grid, const Coord &ijk)
template<typename StencilT>
static Vec3< typename StencilT::ValueType > | result (const StencilT &stencil)

## Detailed Description

template<DScheme DiffScheme>
struct openvdb::v11_0::math::ISGradient< DiffScheme >

Gradient operators defined in index space of various orders.

## Member Function Documentation

## result() [1/2]

template<DScheme DiffScheme>
template<typename Accessor>

Vec3< typename Accessor::ValueType > result | ( | const Accessor & | grid,
|  | const Coord & | ijk )

inlinestatic

## result() [2/2]

template<DScheme DiffScheme>
template<typename StencilT>

Vec3< typename StencilT::ValueType > result | ( | const StencilT & | stencil | ) |

inlinestatic